Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.flagstone.transform
Class FSCall

    java.lang.Object
      com.flagstone.transform.FSTransformObject
          com.flagstone.transform.FSActionObject
              com.flagstone.transform.FSCall

All Implemented Interfaces:
  java.lang.Cloneable

    public class FSCall

extends FSActionObject

FSCall is used to execute the actions previously assigned to a given frame with an FSDoAction object.

Attributes
type | Identifies the action when it is encoded. Read-only.

FSCall is a stack-based action, the value for the frame name or frame number is retrieved from the top of the stack when it is executed.

The following code fragment show how to execute the actions associated with a given frame number from a Flash movie:

     actions.add(new FSPush(12));
     actions.add(new FSCall());

Alternatively if the frame has been assigned a name using an FSFrameLabel object then the associated actions may be executed by using the name as a reference:

      movie.add(new FSFrameLabel("FirstFrame"));
      ...
      actions.add(new FSPush("FirstFrame"));
      actions.add(new FSCall());

# History

The FSCall class represents the ActionCall action of the Macromedia Flash (SWF) File Format Specification. It was introduced in Flash 4.

Field Summary

Fields inherited from class com.flagstone.transform.FSActionObject
`Call, ExceptionHandler, GetUrl, GetUrl2, GotoFrame, GotoFrame2, GotoLabel, If, Jump, length, NewFunction, NewFunction2, Push, RegisterCopy, SetTarget, Table, type, WaitForFrame, WaitForFrame2, With`

Constructor Summary
`FSCall()` Constructs an FSCall object.
`FSCall(FSCall obj)` Constructs an FSCall object by copying values from an existing object.
`FSCall(FSCoder coder)` Construct an FSCall object, initialising it with values decoded from an encoded object.

Method Summary
`void` | `appendDescription(java.lang.StringBuffer buffer, int depth)` AppendDescription is used to present a string description of the object including all nested objects up to a specified depth.
`void` | `decode(FSCoder coder)`
`void` | `encode(FSCoder coder)`
`static FSCall` | `getInstance()` Returns a canonical FSCall object.
`int` | `length(FSCoder coder)`

Methods inherited from class com.flagstone.transform.FSActionObject
`equals, getType, length`

Methods inherited from class com.flagstone.transform.FSTransformObject
`clone, name, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FSCall

    public FSCall(FSCoder coder)

  Construct an FSCall object, initialising it with values decoded from an encoded object.

  Parameters:
    `coder` - an FSCoder containing the binary data.

### FSCall

    public FSCall()

  Constructs an FSCall object.

### FSCall

    public FSCall(FSCall obj)

  Constructs an FSCall object by copying values from an existing object.

  Parameters:
    `obj` - an FSCall object.

Method Detail

### getInstance

    public static FSCall getInstance()

  Returns a canonical FSCall object.

  Returns:
    an object that can safely be shared among objects.

### appendDescription

    public void appendDescription(java.lang.StringBuffer buffer,
                                  int depth)

  Description copied from class: `FSTransformObject`
  AppendDescription is used to present a string description of the object including all nested objects up to a specified depth. This method provide a more controlled way of creating a string representation of an object since large objects such as font or shape definitions can contain dozens of nested objects. The representation of the object is appended to the StringBuffer, showing the name of the class and values of the attributes it contains. If the object contains any attributes that are objects then the object graph will be traversed up to the specified depth. If objects are nested at a level less than specified depth then the full string representation of the object is displayed. For objects at the specified depth only the name of the class is displayed. Any objects below this depth are not displayed.

  Specified by:
    `appendDescription` in class `FSTransformObject`
  Parameters:
    `buffer` - a StringBuffer to which the description of each object is appended.
    `depth` - the maximum level of nesting up to which objects will be displayed.

### length

    public int length(FSCoder coder)

  Overrides:
    `length` in class `FSActionObject`

### encode

    public void encode(FSCoder coder)

  Overrides:
    `encode` in class `FSActionObject`

### decode

    public void decode(FSCoder coder)

  Overrides:
    `decode` in class `FSActionObject`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD